For now you should stick to 16.04.1 and just update that, that way you won't get the HWE kernels and stick with Linux 4.4. AMDGPU PRO will support the...